Page MenuHomePhabricator

Have a way to exclude Tags with 0 edits from selection
Closed, ResolvedPublic

Description

Reported by our usual kind IP. I quote:

Issue
It is a waste of time to attempt to filter tags with no (0) usages because they will never match anything.

Background
I just noticed a couple of new tags have been added, as suggested. This is generally a welcome improvement. However, some tags are unused, but they give the impression that they will actually have an effect when used. Currently Special:Tags lists a lot of these here. [see at the bottom]

Proposed solution

  • Remove them entirely from the list; or
  • Either gray them out; and / or
  • Make them unclickable; or
  • Warn users that their tags have no effects after they click on them

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 6 2017, 5:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

It's a good idea but not easy to do. We'd wanted to sort the Tags menu by popularity, as they are on the Special:Tags page, but this was deemed not feasible. So unless @Catrope has an idea, we will have to let this idea wait.

I'm working on updating a patch that will make tag usage counts efficiently accessible, but I need to do a bunch more work on it and it's getting lumped in with other cleanup work, so it'll take some time.

Restricted Application added a project: Growth-Team. · View Herald TranscriptNov 6 2018, 1:44 PM

@Catrope, I guess you're not working on it at the moment? I'm asking for triaging that task accordingly.

Change 491581 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Don't show tags with 0 hits in tag menu

https://gerrit.wikimedia.org/r/491581

Catrope claimed this task.Feb 19 2019, 8:56 PM
Catrope edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
Catrope added a subscriber: Ladsgroup.

This turned out to be really easy now that the tag counts refactor is done (it ended up mostly being done by @Ladsgroup, not me), and I was working on code in the same area, so I just did it.

Catrope removed a subscriber: Ladsgroup.

Change 491581 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Don't show tags with 0 hits in tag menu

https://gerrit.wikimedia.org/r/491581

Catrope added a project: User-notice.
Trizek-WMF awarded a token.
Etonkovidova closed this task as Resolved.Feb 28 2019, 11:49 PM